#!/bin/bash

#SBATCH --job se3cnn-test
#SBATCH --nodes=1
#SBATCH --partition=dept_gpu,any_gpu
#SBATCH --gres=gpu:1
#SBATCH -C M40

#set up environments
source ~/anaconda3/bin/activate
conda activate se3
#export PYTHONPATH=$PYTHONPATH:~/dl_project/test/resnet_test/se3cnn_mod/
export PYTHONPATH=$PYTHONPATH:/net/pulsar/home/koes/anm329/.conda/envs/anitrain/lib/python3.8/site-packages/se3cnn-0.0.0-py3.8-linux-x86_64.egg/:~/dl_project/test/resnet_test/se3cnn_mod/

# run the script
cd ~/dl_project/test/resnet_test/se3cnn_mod/examples/image/cath/scripts/cath/
#paper's parameters for normal ResNet
#python cath.py --data-filename cath_10arch_ca.npz --model ResNet34 --training-epochs 100 --batch-size 16 --batchsize-multiplier 1 --randomize-orientation --kernel-size 3 --initial_lr=0.0005 --lr_decay_start=40 --burnin-epochs 40 --lr_decay_base=.94 --downsample-by-pooling --p-drop-conv 0.01 --report-frequency 1 --lamb_conv_weight_L1 1e-7 --lamb_conv_weight_L2 1e-7 --lamb_bn_weight_L1 1e-7 --lamb_bn_weight_L2 1e-7 --report-on-test-set
#paper's parameters for SE3CNN ResNetSmall
python cath.py --data-filename cath_10arch_ca.npz --model SE3ResNet34Small --training-epochs 100 --batch-size 16 --batchsize-multiplier 1 --randomize-orientation --kernel-size 3 --initial_lr=0.1 --lr_decay_start=40 --burnin-epochs 40 --lr_decay_base=.94 --downsample-by-pooling --p-drop-conv 0.1 --report-frequency 1 --lamb_conv_weight_L1 1e-8 --lamb_conv_weight_L2 1e-8 --lamb_bn_weight_L1 1e-8 --lamb_bn_weight_L2 1e-8 --report-on-test-set

python cath.py --data-filename cath_10arch_ca.npz --model ResNet34 --training-epochs 100 --batch-size 16 --batchsize-multiplier 1 --randomize-orientation --kernel-size 3 --initial_lr=0.0005 --lr_decay_start=40 --burnin-epochs 40 --lr_decay_base=.94 --downsample-by-pooling --p-drop-conv 0.01 --report-frequency 1 --lamb_conv_weight_L1 1e-7 --lamb_conv_weight_L2 1e-7 --lamb_bn_weight_L1 1e-7 --lamb_bn_weight_L2 1e-7 --report-on-test-set
