
from functools import partial
import math

import torch
import torch.nn as nn
import torch.nn.functional as F


import argparse

from se3cnn.image.gated_block import GatedBlock
from se3cnn.image.norm_block import NormBlock

from se3cnn.non_linearities import NormSoftplus
from se3cnn.image.gated_activation import GatedActivation

from se3cnn.image.kernel import gaussian_window_wrapper
from SE3ResNet import *


n_input = 3
n_output = 1


parser = argparse.ArgumentParser()
parser.add_argument("--kernel_size",default=3,type=int,help="kernel size of module")
parser.add_argument("--p-drop-conv", type=float, default=None,
                              help="convolution/capsule dropout probability")
parser.add_argument("--p-drop-fully", type=float, default=None,
                          help="fully connected layer dropout probability")
parser.add_argument("--bandlimit-mode", choices={"conservative", "compromise", "sfcnn"}, default="compromise",
                   help="bandlimiting heuristic for spherical harmonics")
parser.add_argument("--SE3-nonlinearity", choices={"gated", "norm"}, default="gated",
                         help="Which nonlinearity to use for non-scalar capsules")
parser.add_argument("--normalization", choices={'batch', 'group', 'instance', None}, default='batch',
                         help="Which nonlinearity to use for non-scalar capsules")
parser.add_argument("--downsample-by-pooling", action='store_true', default=True,
                       help="Switches from downsampling by striding to downsampling by pooling")
parser.add_argument("--final_size",default=None,type=int,
                         help="Only used with custom ResNets, the final size of the last convolution which outputs only scalar values. Defaults to sum((NumberOfFilters)*(Multiplicity))")


args = parser.parse_args()








model = CustomResNet(n_input,
                 n_output,
                 args)




output = model(input)


