import torch
import torch.utils.data
import torch.nn as nn

import numpy as np
import os
import time
import importlib
from shutil import copyfile
import argparse

from experiments.datasets.cath.cath import Cath
from experiments.util import *





def main():
    model = network_module.network(n_input=n_input, n_output=n_output, args=args)





if __name__ == '__main__':
    
    parser = argparse.ArgumentParser()
     # required
    parser.add_argument("--model", required=True,
                        help="Which model definition to use")
    parser.add_argument("--data-filename", required=True,
                        help="The name of the data file, e.g. cath_3class.npz, cath_10arch.npz (will automatically downloaded if not found)")
    parser.add_argument("--report-frequency", default=1, type=int,
                        help="The frequency with which status reports will be written")
    parser.add_argument("--report-on-test-set", action="store_true", default=False,
                        help="Whether to include accuracy on test set in output")
    parser.add_argument("--burnin-epochs", default=0, type=int,
                        help="Number of epochs to discard when dumping the best model")
    
    args, unparsed = parser.parse_known_args()
    
    network_module = importlib.import_module('networks.{:s}.{:s}'.format(args.model, args.model))
    
    basepath = 'networks/{:s}'.format(args.model)
    
    main()